/**
 * <copyright>
 * </copyright>
 *
 * $Id: CorePackage.java 6659 2010-09-24 19:42:37Z hoenninger $
 */
package org.openxma.dsl.core;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see org.openxma.dsl.core.CoreFactory
 * @model kind="package"
 * @generated
 */
public interface CorePackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "core";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://www.openxma.org/dsl/core/CoreDsl";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "core";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	CorePackage eINSTANCE = org.openxma.dsl.core.model.impl.CorePackageImpl.init();

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.ModelImpl <em>Model</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.ModelImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getModel()
	 * @generated
	 */
	int MODEL = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL__NAME = 0;

	/**
	 * The feature id for the '<em><b>Imports</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL__IMPORTS = 1;

	/**
	 * The feature id for the '<em><b>Elements</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL__ELEMENTS = 2;

	/**
	 * The number of structural features of the '<em>Model</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.ModelElementImpl <em>Model Element</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.ModelElementImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getModelElement()
	 * @generated
	 */
	int MODEL_ELEMENT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.ImportImpl <em>Import</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.ImportImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getImport()
	 * @generated
	 */
	int IMPORT = 1;

	/**
	 * The feature id for the '<em><b>Import URI</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMPORT__IMPORT_URI = 0;

	/**
	 * The feature id for the '<em><b>Imported Namespace</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMPORT__IMPORTED_NAMESPACE = 1;

	/**
	 * The number of structural features of the '<em>Import</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int IMPORT_FEATURE_COUNT = 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_ELEMENT__NAME = 0;

	/**
	 * The number of structural features of the '<em>Model Element</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MODEL_ELEMENT_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.TypeImpl <em>Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.TypeImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getType()
	 * @generated
	 */
	int TYPE = 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE__NAME = MODEL_ELEMENT__NAME;

	/**
	 * The number of structural features of the '<em>Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.SimpleTypeImpl <em>Simple Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.SimpleTypeImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getSimpleType()
	 * @generated
	 */
	int SIMPLE_TYPE = 4;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE__NAME = TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Custom</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE__CUSTOM = TYPE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Type Parameter</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE__TYPE_PARAMETER = TYPE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Validator Reference</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE__VALIDATOR_REFERENCE = TYPE_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Editor</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE__EDITOR = TYPE_FEATURE_COUNT + 3;

	/**
	 * The feature id for the '<em><b>Type Definition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE__TYPE_DEFINITION = TYPE_FEATURE_COUNT + 4;

	/**
	 * The number of structural features of the '<em>Simple Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SIMPLE_TYPE_FEATURE_COUNT = TYPE_FEATURE_COUNT + 5;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.SqlTypeImpl <em>Sql Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.SqlTypeImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getSqlType()
	 * @generated
	 */
	int SQL_TYPE = 5;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SQL_TYPE__NAME = TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Ddl</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SQL_TYPE__DDL = TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Sql Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SQL_TYPE_FEATURE_COUNT = TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.EnumTypeImpl <em>Enum Type</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.EnumTypeImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getEnumType()
	 * @generated
	 */
	int ENUM_TYPE = 6;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_TYPE__NAME = SIMPLE_TYPE__NAME;

	/**
	 * The feature id for the '<em><b>Custom</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_TYPE__CUSTOM = SIMPLE_TYPE__CUSTOM;

	/**
	 * The feature id for the '<em><b>Type Parameter</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_TYPE__TYPE_PARAMETER = SIMPLE_TYPE__TYPE_PARAMETER;

	/**
	 * The feature id for the '<em><b>Validator Reference</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_TYPE__VALIDATOR_REFERENCE = SIMPLE_TYPE__VALIDATOR_REFERENCE;

	/**
	 * The feature id for the '<em><b>Editor</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_TYPE__EDITOR = SIMPLE_TYPE__EDITOR;

	/**
	 * The feature id for the '<em><b>Type Definition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_TYPE__TYPE_DEFINITION = SIMPLE_TYPE__TYPE_DEFINITION;

	/**
	 * The feature id for the '<em><b>Literals</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_TYPE__LITERALS = SIMPLE_TYPE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Enum Type</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_TYPE_FEATURE_COUNT = SIMPLE_TYPE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.EnumLiteralImpl <em>Enum Literal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.EnumLiteralImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getEnumLiteral()
	 * @generated
	 */
	int ENUM_LITERAL = 7;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_LITERAL__NAME = 0;

	/**
	 * The feature id for the '<em><b>Key</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_LITERAL__KEY = 1;

	/**
	 * The feature id for the '<em><b>Short Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_LITERAL__SHORT_VALUE = 2;

	/**
	 * The feature id for the '<em><b>Long Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_LITERAL__LONG_VALUE = 3;

	/**
	 * The number of structural features of the '<em>Enum Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ENUM_LITERAL_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.ParameterDefinitionImpl <em>Parameter Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.ParameterDefinitionImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getParameterDefinition()
	 * @generated
	 */
	int PARAMETER_DEFINITION = 8;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_DEFINITION__TYPE = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_DEFINITION__NAME = 1;

	/**
	 * The feature id for the '<em><b>Default Integer</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_DEFINITION__DEFAULT_INTEGER = 2;

	/**
	 * The feature id for the '<em><b>Default String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_DEFINITION__DEFAULT_STRING = 3;

	/**
	 * The feature id for the '<em><b>Default Boolean</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_DEFINITION__DEFAULT_BOOLEAN = 4;

	/**
	 * The number of structural features of the '<em>Parameter Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_DEFINITION_FEATURE_COUNT = 5;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.ReferenceWithParameterImpl <em>Reference With Parameter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.ReferenceWithParameterImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getReferenceWithParameter()
	 * @generated
	 */
	int REFERENCE_WITH_PARAMETER = 9;

	/**
	 * The feature id for the '<em><b>Parameter Values</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE_WITH_PARAMETER__PARAMETER_VALUES = 0;

	/**
	 * The number of structural features of the '<em>Reference With Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCE_WITH_PARAMETER_FEATURE_COUNT = 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.ValidatorReferenceImpl <em>Validator Reference</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.ValidatorReferenceImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getValidatorReference()
	 * @generated
	 */
	int VALIDATOR_REFERENCE = 10;

	/**
	 * The feature id for the '<em><b>Parameter Values</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR_REFERENCE__PARAMETER_VALUES = REFERENCE_WITH_PARAMETER__PARAMETER_VALUES;

	/**
	 * The feature id for the '<em><b>Validator</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR_REFERENCE__VALIDATOR = REFERENCE_WITH_PARAMETER_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Validator Reference</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR_REFERENCE_FEATURE_COUNT = REFERENCE_WITH_PARAMETER_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.ValidatorImpl <em>Validator</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.ValidatorImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getValidator()
	 * @generated
	 */
	int VALIDATOR = 11;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR__NAME = MODEL_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Value Model Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR__VALUE_MODEL_TYPE = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Validator Parameter</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR__VALIDATOR_PARAMETER = MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Super Validator</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR__SUPER_VALIDATOR = MODEL_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The feature id for the '<em><b>Instance Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR__INSTANCE_CLASS = MODEL_ELEMENT_FEATURE_COUNT + 3;

	/**
	 * The number of structural features of the '<em>Validator</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VALIDATOR_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.IncrementerImpl <em>Incrementer</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.IncrementerImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getIncrementer()
	 * @generated
	 */
	int INCREMENTER = 12;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCREMENTER__NAME = MODEL_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Incrementer Parameter</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCREMENTER__INCREMENTER_PARAMETER = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Instance Class</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCREMENTER__INSTANCE_CLASS = MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Incrementer</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCREMENTER_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.IncrementerReferenceImpl <em>Incrementer Reference</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.IncrementerReferenceImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getIncrementerReference()
	 * @generated
	 */
	int INCREMENTER_REFERENCE = 13;

	/**
	 * The feature id for the '<em><b>Incrementer</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCREMENTER_REFERENCE__INCREMENTER = 0;

	/**
	 * The feature id for the '<em><b>Incrementer Parameter</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCREMENTER_REFERENCE__INCREMENTER_PARAMETER = 1;

	/**
	 * The number of structural features of the '<em>Incrementer Reference</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INCREMENTER_REFERENCE_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.EditorImpl <em>Editor</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.EditorImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getEditor()
	 * @generated
	 */
	int EDITOR = 14;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EDITOR__NAME = MODEL_ELEMENT__NAME;

	/**
	 * The feature id for the '<em><b>Label</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EDITOR__LABEL = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Editor</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EDITOR_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.StyleImpl <em>Style</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.StyleImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getStyle()
	 * @generated
	 */
	int STYLE = 15;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE__NAME = MODEL_ELEMENT__NAME;

	/**
	 * The number of structural features of the '<em>Style</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STYLE_FEATURE_COUNT = MODEL_ELEMENT_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.TypeDefinitionImpl <em>Type Definition</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.TypeDefinitionImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getTypeDefinition()
	 * @generated
	 */
	int TYPE_DEFINITION = 16;

	/**
	 * The feature id for the '<em><b>Instance Type</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION__INSTANCE_TYPE = 0;

	/**
	 * The feature id for the '<em><b>Definition</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION__DEFINITION = 1;

	/**
	 * The number of structural features of the '<em>Type Definition</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TYPE_DEFINITION_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.DataTypeAndTypeParameterImpl <em>Data Type And Type Parameter</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.DataTypeAndTypeParameterImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getDataTypeAndTypeParameter()
	 * @generated
	 */
	int DATA_TYPE_AND_TYPE_PARAMETER = 17;

	/**
	 * The feature id for the '<em><b>Parameter Values</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_AND_TYPE_PARAMETER__PARAMETER_VALUES = REFERENCE_WITH_PARAMETER__PARAMETER_VALUES;

	/**
	 * The feature id for the '<em><b>Data Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_AND_TYPE_PARAMETER__DATA_TYPE = REFERENCE_WITH_PARAMETER_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Data Type And Type Parameter</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int DATA_TYPE_AND_TYPE_PARAMETER_FEATURE_COUNT = REFERENCE_WITH_PARAMETER_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.ParameterValueImpl <em>Parameter Value</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.ParameterValueImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getParameterValue()
	 * @generated
	 */
	int PARAMETER_VALUE = 18;

	/**
	 * The feature id for the '<em><b>Is Null</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_VALUE__IS_NULL = 0;

	/**
	 * The feature id for the '<em><b>Keep Parent Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_VALUE__KEEP_PARENT_VALUE = 1;

	/**
	 * The feature id for the '<em><b>Referenced Parameter</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_VALUE__REFERENCED_PARAMETER = 2;

	/**
	 * The number of structural features of the '<em>Parameter Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PARAMETER_VALUE_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.IntegerParameterValueImpl <em>Integer Parameter Value</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.IntegerParameterValueImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getIntegerParameterValue()
	 * @generated
	 */
	int INTEGER_PARAMETER_VALUE = 19;

	/**
	 * The feature id for the '<em><b>Is Null</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_PARAMETER_VALUE__IS_NULL = PARAMETER_VALUE__IS_NULL;

	/**
	 * The feature id for the '<em><b>Keep Parent Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_PARAMETER_VALUE__KEEP_PARENT_VALUE = PARAMETER_VALUE__KEEP_PARENT_VALUE;

	/**
	 * The feature id for the '<em><b>Referenced Parameter</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_PARAMETER_VALUE__REFERENCED_PARAMETER = PARAMETER_VALUE__REFERENCED_PARAMETER;

	/**
	 * The feature id for the '<em><b>Int Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_PARAMETER_VALUE__INT_VALUE = PARAMETER_VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Integer Parameter Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INTEGER_PARAMETER_VALUE_FEATURE_COUNT = PARAMETER_VALUE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.StringParameterValueImpl <em>String Parameter Value</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.StringParameterValueImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getStringParameterValue()
	 * @generated
	 */
	int STRING_PARAMETER_VALUE = 20;

	/**
	 * The feature id for the '<em><b>Is Null</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_PARAMETER_VALUE__IS_NULL = PARAMETER_VALUE__IS_NULL;

	/**
	 * The feature id for the '<em><b>Keep Parent Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_PARAMETER_VALUE__KEEP_PARENT_VALUE = PARAMETER_VALUE__KEEP_PARENT_VALUE;

	/**
	 * The feature id for the '<em><b>Referenced Parameter</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_PARAMETER_VALUE__REFERENCED_PARAMETER = PARAMETER_VALUE__REFERENCED_PARAMETER;

	/**
	 * The feature id for the '<em><b>String Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_PARAMETER_VALUE__STRING_VALUE = PARAMETER_VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>String Parameter Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_PARAMETER_VALUE_FEATURE_COUNT = PARAMETER_VALUE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.BooleanParameterValueImpl <em>Boolean Parameter Value</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.BooleanParameterValueImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getBooleanParameterValue()
	 * @generated
	 */
	int BOOLEAN_PARAMETER_VALUE = 21;

	/**
	 * The feature id for the '<em><b>Is Null</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOLEAN_PARAMETER_VALUE__IS_NULL = PARAMETER_VALUE__IS_NULL;

	/**
	 * The feature id for the '<em><b>Keep Parent Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOLEAN_PARAMETER_VALUE__KEEP_PARENT_VALUE = PARAMETER_VALUE__KEEP_PARENT_VALUE;

	/**
	 * The feature id for the '<em><b>Referenced Parameter</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOLEAN_PARAMETER_VALUE__REFERENCED_PARAMETER = PARAMETER_VALUE__REFERENCED_PARAMETER;

	/**
	 * The feature id for the '<em><b>Boolean Value</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOLEAN_PARAMETER_VALUE__BOOLEAN_VALUE = PARAMETER_VALUE_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Boolean Parameter Value</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOLEAN_PARAMETER_VALUE_FEATURE_COUNT = PARAMETER_VALUE_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.EqualityExprImpl <em>Equality Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.EqualityExprImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getEqualityExpr()
	 * @generated
	 */
	int EQUALITY_EXPR = 22;

	/**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EQUALITY_EXPR__LEFT = 0;

	/**
	 * The feature id for the '<em><b>Op</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EQUALITY_EXPR__OP = 1;

	/**
	 * The feature id for the '<em><b>Right</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EQUALITY_EXPR__RIGHT = 2;

	/**
	 * The number of structural features of the '<em>Equality Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int EQUALITY_EXPR_FEATURE_COUNT = 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.CondORExprImpl <em>Cond OR Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.CondORExprImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getCondORExpr()
	 * @generated
	 */
	int COND_OR_EXPR = 23;

	/**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_OR_EXPR__LEFT = 0;

	/**
	 * The feature id for the '<em><b>Rights</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_OR_EXPR__RIGHTS = 1;

	/**
	 * The number of structural features of the '<em>Cond OR Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_OR_EXPR_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.CondORRightsImpl <em>Cond OR Rights</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.CondORRightsImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getCondORRights()
	 * @generated
	 */
	int COND_OR_RIGHTS = 24;

	/**
	 * The feature id for the '<em><b>Op</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_OR_RIGHTS__OP = 0;

	/**
	 * The feature id for the '<em><b>Right</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_OR_RIGHTS__RIGHT = 1;

	/**
	 * The number of structural features of the '<em>Cond OR Rights</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_OR_RIGHTS_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.CondANDExprImpl <em>Cond AND Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.CondANDExprImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getCondANDExpr()
	 * @generated
	 */
	int COND_AND_EXPR = 25;

	/**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_AND_EXPR__LEFT = 0;

	/**
	 * The feature id for the '<em><b>Rights</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_AND_EXPR__RIGHTS = 1;

	/**
	 * The number of structural features of the '<em>Cond AND Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_AND_EXPR_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.CondANDRightsImpl <em>Cond AND Rights</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.CondANDRightsImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getCondANDRights()
	 * @generated
	 */
	int COND_AND_RIGHTS = 26;

	/**
	 * The feature id for the '<em><b>Op</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_AND_RIGHTS__OP = 0;

	/**
	 * The feature id for the '<em><b>Right</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_AND_RIGHTS__RIGHT = 1;

	/**
	 * The number of structural features of the '<em>Cond AND Rights</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COND_AND_RIGHTS_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.AtomicBoolExprImpl <em>Atomic Bool Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.AtomicBoolExprImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getAtomicBoolExpr()
	 * @generated
	 */
	int ATOMIC_BOOL_EXPR = 27;

	/**
	 * The number of structural features of the '<em>Atomic Bool Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATOMIC_BOOL_EXPR_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.RelationalExprImpl <em>Relational Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.RelationalExprImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getRelationalExpr()
	 * @generated
	 */
	int RELATIONAL_EXPR = 28;

	/**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIONAL_EXPR__LEFT = ATOMIC_BOOL_EXPR_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Op</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIONAL_EXPR__OP = ATOMIC_BOOL_EXPR_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Right</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIONAL_EXPR__RIGHT = ATOMIC_BOOL_EXPR_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Relational Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int RELATIONAL_EXPR_FEATURE_COUNT = ATOMIC_BOOL_EXPR_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.AdditiveExprImpl <em>Additive Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.AdditiveExprImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getAdditiveExpr()
	 * @generated
	 */
	int ADDITIVE_EXPR = 29;

	/**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ADDITIVE_EXPR__LEFT = 0;

	/**
	 * The feature id for the '<em><b>Rights</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ADDITIVE_EXPR__RIGHTS = 1;

	/**
	 * The number of structural features of the '<em>Additive Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ADDITIVE_EXPR_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.AdditiveRightsImpl <em>Additive Rights</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.AdditiveRightsImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getAdditiveRights()
	 * @generated
	 */
	int ADDITIVE_RIGHTS = 30;

	/**
	 * The feature id for the '<em><b>Op</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ADDITIVE_RIGHTS__OP = 0;

	/**
	 * The feature id for the '<em><b>Right</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ADDITIVE_RIGHTS__RIGHT = 1;

	/**
	 * The number of structural features of the '<em>Additive Rights</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ADDITIVE_RIGHTS_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.MultiplicativeExprImpl <em>Multiplicative Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.MultiplicativeExprImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getMultiplicativeExpr()
	 * @generated
	 */
	int MULTIPLICATIVE_EXPR = 31;

	/**
	 * The feature id for the '<em><b>Left</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTIPLICATIVE_EXPR__LEFT = 0;

	/**
	 * The feature id for the '<em><b>Rights</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTIPLICATIVE_EXPR__RIGHTS = 1;

	/**
	 * The number of structural features of the '<em>Multiplicative Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTIPLICATIVE_EXPR_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.MultiplicativeRightsImpl <em>Multiplicative Rights</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.MultiplicativeRightsImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getMultiplicativeRights()
	 * @generated
	 */
	int MULTIPLICATIVE_RIGHTS = 32;

	/**
	 * The feature id for the '<em><b>Op</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTIPLICATIVE_RIGHTS__OP = 0;

	/**
	 * The feature id for the '<em><b>Right</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTIPLICATIVE_RIGHTS__RIGHT = 1;

	/**
	 * The number of structural features of the '<em>Multiplicative Rights</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int MULTIPLICATIVE_RIGHTS_FEATURE_COUNT = 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.AtomicExprImpl <em>Atomic Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.AtomicExprImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getAtomicExpr()
	 * @generated
	 */
	int ATOMIC_EXPR = 33;

	/**
	 * The number of structural features of the '<em>Atomic Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ATOMIC_EXPR_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.VariableImpl <em>Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.VariableImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getVariable()
	 * @generated
	 */
	int VARIABLE = 34;

	/**
	 * The number of structural features of the '<em>Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int VARIABLE_FEATURE_COUNT = ATOMIC_EXPR_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.XmadslVariableImpl <em>Xmadsl Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.XmadslVariableImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getXmadslVariable()
	 * @generated
	 */
	int XMADSL_VARIABLE = 35;

	/**
	 * The feature id for the '<em><b>Reference</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_VARIABLE__REFERENCE = VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Access</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_VARIABLE__ACCESS = VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Xmadsl Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int XMADSL_VARIABLE_FEATURE_COUNT = VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.ReferenceableByXmadslVariableImpl <em>Referenceable By Xmadsl Variable</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.ReferenceableByXmadslVariableImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getReferenceableByXmadslVariable()
	 * @generated
	 */
	int REFERENCEABLE_BY_XMADSL_VARIABLE = 36;

	/**
	 * The number of structural features of the '<em>Referenceable By Xmadsl Variable</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT = 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.StatusFlagImpl <em>Status Flag</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.StatusFlagImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getStatusFlag()
	 * @generated
	 */
	int STATUS_FLAG = 37;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STATUS_FLAG__NAME = REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Expression</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STATUS_FLAG__EXPRESSION = REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Doc</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STATUS_FLAG__DOC = REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Status Flag</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STATUS_FLAG_FEATURE_COUNT = REFERENCEABLE_BY_XMADSL_VARIABLE_FEATURE_COUNT + 3;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.CallImpl <em>Call</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.CallImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getCall()
	 * @generated
	 */
	int CALL = 38;

	/**
	 * The feature id for the '<em><b>Function</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL__FUNCTION = ATOMIC_EXPR_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Expr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL__EXPR = ATOMIC_EXPR_FEATURE_COUNT + 1;

	/**
	 * The number of structural features of the '<em>Call</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int CALL_FEATURE_COUNT = ATOMIC_EXPR_FEATURE_COUNT + 2;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.FunctionImpl <em>Function</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.FunctionImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getFunction()
	 * @generated
	 */
	int FUNCTION = 39;

	/**
	 * The feature id for the '<em><b>Result Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FUNCTION__RESULT_TYPE = 0;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FUNCTION__NAME = 1;

	/**
	 * The feature id for the '<em><b>Parameter Type</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FUNCTION__PARAMETER_TYPE = 2;

	/**
	 * The feature id for the '<em><b>Parameter Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FUNCTION__PARAMETER_NAME = 3;

	/**
	 * The number of structural features of the '<em>Function</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FUNCTION_FEATURE_COUNT = 4;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.ParenExprImpl <em>Paren Expr</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.ParenExprImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getParenExpr()
	 * @generated
	 */
	int PAREN_EXPR = 40;

	/**
	 * The feature id for the '<em><b>Expr</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAREN_EXPR__EXPR = ATOMIC_EXPR_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Paren Expr</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PAREN_EXPR_FEATURE_COUNT = ATOMIC_EXPR_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.LiteralImpl <em>Literal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.LiteralImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getLiteral()
	 * @generated
	 */
	int LITERAL = 41;

	/**
	 * The number of structural features of the '<em>Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int LITERAL_FEATURE_COUNT = ATOMIC_EXPR_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.IntLiteralImpl <em>Int Literal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.IntLiteralImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getIntLiteral()
	 * @generated
	 */
	int INT_LITERAL = 42;

	/**
	 * The feature id for the '<em><b>Number</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INT_LITERAL__NUMBER = LITERAL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>Int Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int INT_LITERAL_FEATURE_COUNT = LITERAL_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.StringLiteralImpl <em>String Literal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.StringLiteralImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getStringLiteral()
	 * @generated
	 */
	int STRING_LITERAL = 43;

	/**
	 * The feature id for the '<em><b>String</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_LITERAL__STRING = LITERAL_FEATURE_COUNT + 0;

	/**
	 * The number of structural features of the '<em>String Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int STRING_LITERAL_FEATURE_COUNT = LITERAL_FEATURE_COUNT + 1;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.BoolLiteralImpl <em>Bool Literal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.BoolLiteralImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getBoolLiteral()
	 * @generated
	 */
	int BOOL_LITERAL = 44;

	/**
	 * The number of structural features of the '<em>Bool Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int BOOL_LITERAL_FEATURE_COUNT = LITERAL_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.TrueLiteralImpl <em>True Literal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.TrueLiteralImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getTrueLiteral()
	 * @generated
	 */
	int TRUE_LITERAL = 45;

	/**
	 * The number of structural features of the '<em>True Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int TRUE_LITERAL_FEATURE_COUNT = BOOL_LITERAL_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.impl.FalseLiteralImpl <em>False Literal</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.impl.FalseLiteralImpl
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getFalseLiteral()
	 * @generated
	 */
	int FALSE_LITERAL = 46;

	/**
	 * The number of structural features of the '<em>False Literal</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int FALSE_LITERAL_FEATURE_COUNT = BOOL_LITERAL_FEATURE_COUNT + 0;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.ParameterDefinitionType <em>Parameter Definition Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.ParameterDefinitionType
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getParameterDefinitionType()
	 * @generated
	 */
	int PARAMETER_DEFINITION_TYPE = 47;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.MultiplicativeOp <em>Multiplicative Op</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.MultiplicativeOp
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getMultiplicativeOp()
	 * @generated
	 */
	int MULTIPLICATIVE_OP = 48;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.AdditiveOp <em>Additive Op</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.AdditiveOp
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getAdditiveOp()
	 * @generated
	 */
	int ADDITIVE_OP = 49;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.RelationalOp <em>Relational Op</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.RelationalOp
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getRelationalOp()
	 * @generated
	 */
	int RELATIONAL_OP = 50;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.EqualityOp <em>Equality Op</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.EqualityOp
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getEqualityOp()
	 * @generated
	 */
	int EQUALITY_OP = 51;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.OrOp <em>Or Op</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.OrOp
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getOrOp()
	 * @generated
	 */
	int OR_OP = 52;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.AndOp <em>And Op</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.AndOp
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getAndOp()
	 * @generated
	 */
	int AND_OP = 53;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.VariableAccess <em>Variable Access</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.VariableAccess
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getVariableAccess()
	 * @generated
	 */
	int VARIABLE_ACCESS = 54;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.BooleanValue <em>Boolean Value</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.BooleanValue
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getBooleanValue()
	 * @generated
	 */
	int BOOLEAN_VALUE = 55;

	/**
	 * The meta object id for the '{@link org.openxma.dsl.core.model.ValueModelType <em>Value Model Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.openxma.dsl.core.model.ValueModelType
	 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getValueModelType()
	 * @generated
	 */
	int VALUE_MODEL_TYPE = 56;

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.Model <em>Model</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Model</em>'.
	 * @see org.openxma.dsl.core.model.Model
	 * @generated
	 */
	EClass getModel();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.Model#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.core.model.Model#getName()
	 * @see #getModel()
	 * @generated
	 */
	EAttribute getModel_Name();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.core.model.Model#getImports <em>Imports</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Imports</em>'.
	 * @see org.openxma.dsl.core.model.Model#getImports()
	 * @see #getModel()
	 * @generated
	 */
	EReference getModel_Imports();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.core.model.Model#getElements <em>Elements</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Elements</em>'.
	 * @see org.openxma.dsl.core.model.Model#getElements()
	 * @see #getModel()
	 * @generated
	 */
	EReference getModel_Elements();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.ModelElement <em>Model Element</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Model Element</em>'.
	 * @see org.openxma.dsl.core.model.ModelElement
	 * @generated
	 */
	EClass getModelElement();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.ModelElement#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.core.model.ModelElement#getName()
	 * @see #getModelElement()
	 * @generated
	 */
	EAttribute getModelElement_Name();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.Import <em>Import</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Import</em>'.
	 * @see org.openxma.dsl.core.model.Import
	 * @generated
	 */
	EClass getImport();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.Import#getImportURI <em>Import URI</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Import URI</em>'.
	 * @see org.openxma.dsl.core.model.Import#getImportURI()
	 * @see #getImport()
	 * @generated
	 */
	EAttribute getImport_ImportURI();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.Import#getImportedNamespace <em>Imported Namespace</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Imported Namespace</em>'.
	 * @see org.openxma.dsl.core.model.Import#getImportedNamespace()
	 * @see #getImport()
	 * @generated
	 */
	EAttribute getImport_ImportedNamespace();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.Type <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Type</em>'.
	 * @see org.openxma.dsl.core.model.Type
	 * @generated
	 */
	EClass getType();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.SimpleType <em>Simple Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Simple Type</em>'.
	 * @see org.openxma.dsl.core.model.SimpleType
	 * @generated
	 */
	EClass getSimpleType();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.SimpleType#isCustom <em>Custom</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Custom</em>'.
	 * @see org.openxma.dsl.core.model.SimpleType#isCustom()
	 * @see #getSimpleType()
	 * @generated
	 */
	EAttribute getSimpleType_Custom();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.core.model.SimpleType#getTypeParameter <em>Type Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Type Parameter</em>'.
	 * @see org.openxma.dsl.core.model.SimpleType#getTypeParameter()
	 * @see #getSimpleType()
	 * @generated
	 */
	EReference getSimpleType_TypeParameter();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.SimpleType#getValidatorReference <em>Validator Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Validator Reference</em>'.
	 * @see org.openxma.dsl.core.model.SimpleType#getValidatorReference()
	 * @see #getSimpleType()
	 * @generated
	 */
	EReference getSimpleType_ValidatorReference();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.core.model.SimpleType#getEditor <em>Editor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Editor</em>'.
	 * @see org.openxma.dsl.core.model.SimpleType#getEditor()
	 * @see #getSimpleType()
	 * @generated
	 */
	EReference getSimpleType_Editor();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.SimpleType#getTypeDefinition <em>Type Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Type Definition</em>'.
	 * @see org.openxma.dsl.core.model.SimpleType#getTypeDefinition()
	 * @see #getSimpleType()
	 * @generated
	 */
	EReference getSimpleType_TypeDefinition();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.SqlType <em>Sql Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Sql Type</em>'.
	 * @see org.openxma.dsl.core.model.SqlType
	 * @generated
	 */
	EClass getSqlType();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.SqlType#getDdl <em>Ddl</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Ddl</em>'.
	 * @see org.openxma.dsl.core.model.SqlType#getDdl()
	 * @see #getSqlType()
	 * @generated
	 */
	EAttribute getSqlType_Ddl();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.EnumType <em>Enum Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Enum Type</em>'.
	 * @see org.openxma.dsl.core.model.EnumType
	 * @generated
	 */
	EClass getEnumType();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.core.model.EnumType#getLiterals <em>Literals</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Literals</em>'.
	 * @see org.openxma.dsl.core.model.EnumType#getLiterals()
	 * @see #getEnumType()
	 * @generated
	 */
	EReference getEnumType_Literals();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.EnumLiteral <em>Enum Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Enum Literal</em>'.
	 * @see org.openxma.dsl.core.model.EnumLiteral
	 * @generated
	 */
	EClass getEnumLiteral();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.EnumLiteral#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.core.model.EnumLiteral#getName()
	 * @see #getEnumLiteral()
	 * @generated
	 */
	EAttribute getEnumLiteral_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.EnumLiteral#getKey <em>Key</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Key</em>'.
	 * @see org.openxma.dsl.core.model.EnumLiteral#getKey()
	 * @see #getEnumLiteral()
	 * @generated
	 */
	EAttribute getEnumLiteral_Key();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.EnumLiteral#getShortValue <em>Short Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Short Value</em>'.
	 * @see org.openxma.dsl.core.model.EnumLiteral#getShortValue()
	 * @see #getEnumLiteral()
	 * @generated
	 */
	EAttribute getEnumLiteral_ShortValue();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.EnumLiteral#getLongValue <em>Long Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Long Value</em>'.
	 * @see org.openxma.dsl.core.model.EnumLiteral#getLongValue()
	 * @see #getEnumLiteral()
	 * @generated
	 */
	EAttribute getEnumLiteral_LongValue();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.ParameterDefinition <em>Parameter Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Parameter Definition</em>'.
	 * @see org.openxma.dsl.core.model.ParameterDefinition
	 * @generated
	 */
	EClass getParameterDefinition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.ParameterDefinition#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Type</em>'.
	 * @see org.openxma.dsl.core.model.ParameterDefinition#getType()
	 * @see #getParameterDefinition()
	 * @generated
	 */
	EAttribute getParameterDefinition_Type();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.ParameterDefinition#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.core.model.ParameterDefinition#getName()
	 * @see #getParameterDefinition()
	 * @generated
	 */
	EAttribute getParameterDefinition_Name();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.ParameterDefinition#getDefaultInteger <em>Default Integer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Default Integer</em>'.
	 * @see org.openxma.dsl.core.model.ParameterDefinition#getDefaultInteger()
	 * @see #getParameterDefinition()
	 * @generated
	 */
	EAttribute getParameterDefinition_DefaultInteger();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.ParameterDefinition#getDefaultString <em>Default String</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Default String</em>'.
	 * @see org.openxma.dsl.core.model.ParameterDefinition#getDefaultString()
	 * @see #getParameterDefinition()
	 * @generated
	 */
	EAttribute getParameterDefinition_DefaultString();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.ParameterDefinition#getDefaultBoolean <em>Default Boolean</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Default Boolean</em>'.
	 * @see org.openxma.dsl.core.model.ParameterDefinition#getDefaultBoolean()
	 * @see #getParameterDefinition()
	 * @generated
	 */
	EAttribute getParameterDefinition_DefaultBoolean();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.ReferenceWithParameter <em>Reference With Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Reference With Parameter</em>'.
	 * @see org.openxma.dsl.core.model.ReferenceWithParameter
	 * @generated
	 */
	EClass getReferenceWithParameter();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.core.model.ReferenceWithParameter#getParameterValues <em>Parameter Values</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Parameter Values</em>'.
	 * @see org.openxma.dsl.core.model.ReferenceWithParameter#getParameterValues()
	 * @see #getReferenceWithParameter()
	 * @generated
	 */
	EReference getReferenceWithParameter_ParameterValues();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.ValidatorReference <em>Validator Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Validator Reference</em>'.
	 * @see org.openxma.dsl.core.model.ValidatorReference
	 * @generated
	 */
	EClass getValidatorReference();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.core.model.ValidatorReference#getValidator <em>Validator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Validator</em>'.
	 * @see org.openxma.dsl.core.model.ValidatorReference#getValidator()
	 * @see #getValidatorReference()
	 * @generated
	 */
	EReference getValidatorReference_Validator();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.Validator <em>Validator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Validator</em>'.
	 * @see org.openxma.dsl.core.model.Validator
	 * @generated
	 */
	EClass getValidator();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.Validator#getValueModelType <em>Value Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Value Model Type</em>'.
	 * @see org.openxma.dsl.core.model.Validator#getValueModelType()
	 * @see #getValidator()
	 * @generated
	 */
	EAttribute getValidator_ValueModelType();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.core.model.Validator#getValidatorParameter <em>Validator Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Validator Parameter</em>'.
	 * @see org.openxma.dsl.core.model.Validator#getValidatorParameter()
	 * @see #getValidator()
	 * @generated
	 */
	EReference getValidator_ValidatorParameter();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.Validator#getSuperValidator <em>Super Validator</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Super Validator</em>'.
	 * @see org.openxma.dsl.core.model.Validator#getSuperValidator()
	 * @see #getValidator()
	 * @generated
	 */
	EReference getValidator_SuperValidator();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.Validator#getInstanceClass <em>Instance Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Instance Class</em>'.
	 * @see org.openxma.dsl.core.model.Validator#getInstanceClass()
	 * @see #getValidator()
	 * @generated
	 */
	EAttribute getValidator_InstanceClass();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.Incrementer <em>Incrementer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Incrementer</em>'.
	 * @see org.openxma.dsl.core.model.Incrementer
	 * @generated
	 */
	EClass getIncrementer();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.core.model.Incrementer#getIncrementerParameter <em>Incrementer Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Incrementer Parameter</em>'.
	 * @see org.openxma.dsl.core.model.Incrementer#getIncrementerParameter()
	 * @see #getIncrementer()
	 * @generated
	 */
	EReference getIncrementer_IncrementerParameter();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.Incrementer#getInstanceClass <em>Instance Class</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Instance Class</em>'.
	 * @see org.openxma.dsl.core.model.Incrementer#getInstanceClass()
	 * @see #getIncrementer()
	 * @generated
	 */
	EAttribute getIncrementer_InstanceClass();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.IncrementerReference <em>Incrementer Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Incrementer Reference</em>'.
	 * @see org.openxma.dsl.core.model.IncrementerReference
	 * @generated
	 */
	EClass getIncrementerReference();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.core.model.IncrementerReference#getIncrementer <em>Incrementer</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Incrementer</em>'.
	 * @see org.openxma.dsl.core.model.IncrementerReference#getIncrementer()
	 * @see #getIncrementerReference()
	 * @generated
	 */
	EReference getIncrementerReference_Incrementer();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.core.model.IncrementerReference#getIncrementerParameter <em>Incrementer Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Incrementer Parameter</em>'.
	 * @see org.openxma.dsl.core.model.IncrementerReference#getIncrementerParameter()
	 * @see #getIncrementerReference()
	 * @generated
	 */
	EReference getIncrementerReference_IncrementerParameter();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.Editor <em>Editor</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Editor</em>'.
	 * @see org.openxma.dsl.core.model.Editor
	 * @generated
	 */
	EClass getEditor();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.Editor#getLabel <em>Label</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Label</em>'.
	 * @see org.openxma.dsl.core.model.Editor#getLabel()
	 * @see #getEditor()
	 * @generated
	 */
	EAttribute getEditor_Label();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.Style <em>Style</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Style</em>'.
	 * @see org.openxma.dsl.core.model.Style
	 * @generated
	 */
	EClass getStyle();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.TypeDefinition <em>Type Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Type Definition</em>'.
	 * @see org.openxma.dsl.core.model.TypeDefinition
	 * @generated
	 */
	EClass getTypeDefinition();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.TypeDefinition#getInstanceType <em>Instance Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Instance Type</em>'.
	 * @see org.openxma.dsl.core.model.TypeDefinition#getInstanceType()
	 * @see #getTypeDefinition()
	 * @generated
	 */
	EAttribute getTypeDefinition_InstanceType();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.TypeDefinition#getDefinition <em>Definition</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Definition</em>'.
	 * @see org.openxma.dsl.core.model.TypeDefinition#getDefinition()
	 * @see #getTypeDefinition()
	 * @generated
	 */
	EReference getTypeDefinition_Definition();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.DataTypeAndTypeParameter <em>Data Type And Type Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Data Type And Type Parameter</em>'.
	 * @see org.openxma.dsl.core.model.DataTypeAndTypeParameter
	 * @generated
	 */
	EClass getDataTypeAndTypeParameter();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.core.model.DataTypeAndTypeParameter#getDataType <em>Data Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Data Type</em>'.
	 * @see org.openxma.dsl.core.model.DataTypeAndTypeParameter#getDataType()
	 * @see #getDataTypeAndTypeParameter()
	 * @generated
	 */
	EReference getDataTypeAndTypeParameter_DataType();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.ParameterValue <em>Parameter Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Parameter Value</em>'.
	 * @see org.openxma.dsl.core.model.ParameterValue
	 * @generated
	 */
	EClass getParameterValue();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.ParameterValue#isIsNull <em>Is Null</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Is Null</em>'.
	 * @see org.openxma.dsl.core.model.ParameterValue#isIsNull()
	 * @see #getParameterValue()
	 * @generated
	 */
	EAttribute getParameterValue_IsNull();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.ParameterValue#isKeepParentValue <em>Keep Parent Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Keep Parent Value</em>'.
	 * @see org.openxma.dsl.core.model.ParameterValue#isKeepParentValue()
	 * @see #getParameterValue()
	 * @generated
	 */
	EAttribute getParameterValue_KeepParentValue();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.core.model.ParameterValue#getReferencedParameter <em>Referenced Parameter</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Referenced Parameter</em>'.
	 * @see org.openxma.dsl.core.model.ParameterValue#getReferencedParameter()
	 * @see #getParameterValue()
	 * @generated
	 */
	EReference getParameterValue_ReferencedParameter();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.IntegerParameterValue <em>Integer Parameter Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Integer Parameter Value</em>'.
	 * @see org.openxma.dsl.core.model.IntegerParameterValue
	 * @generated
	 */
	EClass getIntegerParameterValue();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.IntegerParameterValue#getIntValue <em>Int Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Int Value</em>'.
	 * @see org.openxma.dsl.core.model.IntegerParameterValue#getIntValue()
	 * @see #getIntegerParameterValue()
	 * @generated
	 */
	EAttribute getIntegerParameterValue_IntValue();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.StringParameterValue <em>String Parameter Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>String Parameter Value</em>'.
	 * @see org.openxma.dsl.core.model.StringParameterValue
	 * @generated
	 */
	EClass getStringParameterValue();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.StringParameterValue#getStringValue <em>String Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>String Value</em>'.
	 * @see org.openxma.dsl.core.model.StringParameterValue#getStringValue()
	 * @see #getStringParameterValue()
	 * @generated
	 */
	EAttribute getStringParameterValue_StringValue();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.BooleanParameterValue <em>Boolean Parameter Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Boolean Parameter Value</em>'.
	 * @see org.openxma.dsl.core.model.BooleanParameterValue
	 * @generated
	 */
	EClass getBooleanParameterValue();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.BooleanParameterValue#getBooleanValue <em>Boolean Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Boolean Value</em>'.
	 * @see org.openxma.dsl.core.model.BooleanParameterValue#getBooleanValue()
	 * @see #getBooleanParameterValue()
	 * @generated
	 */
	EAttribute getBooleanParameterValue_BooleanValue();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.EqualityExpr <em>Equality Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Equality Expr</em>'.
	 * @see org.openxma.dsl.core.model.EqualityExpr
	 * @generated
	 */
	EClass getEqualityExpr();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.EqualityExpr#getLeft <em>Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left</em>'.
	 * @see org.openxma.dsl.core.model.EqualityExpr#getLeft()
	 * @see #getEqualityExpr()
	 * @generated
	 */
	EReference getEqualityExpr_Left();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.EqualityExpr#getOp <em>Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Op</em>'.
	 * @see org.openxma.dsl.core.model.EqualityExpr#getOp()
	 * @see #getEqualityExpr()
	 * @generated
	 */
	EAttribute getEqualityExpr_Op();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.EqualityExpr#getRight <em>Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Right</em>'.
	 * @see org.openxma.dsl.core.model.EqualityExpr#getRight()
	 * @see #getEqualityExpr()
	 * @generated
	 */
	EReference getEqualityExpr_Right();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.CondORExpr <em>Cond OR Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cond OR Expr</em>'.
	 * @see org.openxma.dsl.core.model.CondORExpr
	 * @generated
	 */
	EClass getCondORExpr();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.CondORExpr#getLeft <em>Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left</em>'.
	 * @see org.openxma.dsl.core.model.CondORExpr#getLeft()
	 * @see #getCondORExpr()
	 * @generated
	 */
	EReference getCondORExpr_Left();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.core.model.CondORExpr#getRights <em>Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Rights</em>'.
	 * @see org.openxma.dsl.core.model.CondORExpr#getRights()
	 * @see #getCondORExpr()
	 * @generated
	 */
	EReference getCondORExpr_Rights();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.CondORRights <em>Cond OR Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cond OR Rights</em>'.
	 * @see org.openxma.dsl.core.model.CondORRights
	 * @generated
	 */
	EClass getCondORRights();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.CondORRights#getOp <em>Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Op</em>'.
	 * @see org.openxma.dsl.core.model.CondORRights#getOp()
	 * @see #getCondORRights()
	 * @generated
	 */
	EAttribute getCondORRights_Op();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.CondORRights#getRight <em>Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Right</em>'.
	 * @see org.openxma.dsl.core.model.CondORRights#getRight()
	 * @see #getCondORRights()
	 * @generated
	 */
	EReference getCondORRights_Right();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.CondANDExpr <em>Cond AND Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cond AND Expr</em>'.
	 * @see org.openxma.dsl.core.model.CondANDExpr
	 * @generated
	 */
	EClass getCondANDExpr();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.CondANDExpr#getLeft <em>Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left</em>'.
	 * @see org.openxma.dsl.core.model.CondANDExpr#getLeft()
	 * @see #getCondANDExpr()
	 * @generated
	 */
	EReference getCondANDExpr_Left();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.core.model.CondANDExpr#getRights <em>Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Rights</em>'.
	 * @see org.openxma.dsl.core.model.CondANDExpr#getRights()
	 * @see #getCondANDExpr()
	 * @generated
	 */
	EReference getCondANDExpr_Rights();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.CondANDRights <em>Cond AND Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Cond AND Rights</em>'.
	 * @see org.openxma.dsl.core.model.CondANDRights
	 * @generated
	 */
	EClass getCondANDRights();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.CondANDRights#getOp <em>Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Op</em>'.
	 * @see org.openxma.dsl.core.model.CondANDRights#getOp()
	 * @see #getCondANDRights()
	 * @generated
	 */
	EAttribute getCondANDRights_Op();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.CondANDRights#getRight <em>Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Right</em>'.
	 * @see org.openxma.dsl.core.model.CondANDRights#getRight()
	 * @see #getCondANDRights()
	 * @generated
	 */
	EReference getCondANDRights_Right();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.AtomicBoolExpr <em>Atomic Bool Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Atomic Bool Expr</em>'.
	 * @see org.openxma.dsl.core.model.AtomicBoolExpr
	 * @generated
	 */
	EClass getAtomicBoolExpr();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.RelationalExpr <em>Relational Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Relational Expr</em>'.
	 * @see org.openxma.dsl.core.model.RelationalExpr
	 * @generated
	 */
	EClass getRelationalExpr();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.RelationalExpr#getLeft <em>Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left</em>'.
	 * @see org.openxma.dsl.core.model.RelationalExpr#getLeft()
	 * @see #getRelationalExpr()
	 * @generated
	 */
	EReference getRelationalExpr_Left();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.RelationalExpr#getOp <em>Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Op</em>'.
	 * @see org.openxma.dsl.core.model.RelationalExpr#getOp()
	 * @see #getRelationalExpr()
	 * @generated
	 */
	EAttribute getRelationalExpr_Op();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.RelationalExpr#getRight <em>Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Right</em>'.
	 * @see org.openxma.dsl.core.model.RelationalExpr#getRight()
	 * @see #getRelationalExpr()
	 * @generated
	 */
	EReference getRelationalExpr_Right();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.AdditiveExpr <em>Additive Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Additive Expr</em>'.
	 * @see org.openxma.dsl.core.model.AdditiveExpr
	 * @generated
	 */
	EClass getAdditiveExpr();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.AdditiveExpr#getLeft <em>Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left</em>'.
	 * @see org.openxma.dsl.core.model.AdditiveExpr#getLeft()
	 * @see #getAdditiveExpr()
	 * @generated
	 */
	EReference getAdditiveExpr_Left();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.core.model.AdditiveExpr#getRights <em>Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Rights</em>'.
	 * @see org.openxma.dsl.core.model.AdditiveExpr#getRights()
	 * @see #getAdditiveExpr()
	 * @generated
	 */
	EReference getAdditiveExpr_Rights();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.AdditiveRights <em>Additive Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Additive Rights</em>'.
	 * @see org.openxma.dsl.core.model.AdditiveRights
	 * @generated
	 */
	EClass getAdditiveRights();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.AdditiveRights#getOp <em>Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Op</em>'.
	 * @see org.openxma.dsl.core.model.AdditiveRights#getOp()
	 * @see #getAdditiveRights()
	 * @generated
	 */
	EAttribute getAdditiveRights_Op();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.AdditiveRights#getRight <em>Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Right</em>'.
	 * @see org.openxma.dsl.core.model.AdditiveRights#getRight()
	 * @see #getAdditiveRights()
	 * @generated
	 */
	EReference getAdditiveRights_Right();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.MultiplicativeExpr <em>Multiplicative Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Multiplicative Expr</em>'.
	 * @see org.openxma.dsl.core.model.MultiplicativeExpr
	 * @generated
	 */
	EClass getMultiplicativeExpr();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.MultiplicativeExpr#getLeft <em>Left</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Left</em>'.
	 * @see org.openxma.dsl.core.model.MultiplicativeExpr#getLeft()
	 * @see #getMultiplicativeExpr()
	 * @generated
	 */
	EReference getMultiplicativeExpr_Left();

	/**
	 * Returns the meta object for the containment reference list '{@link org.openxma.dsl.core.model.MultiplicativeExpr#getRights <em>Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Rights</em>'.
	 * @see org.openxma.dsl.core.model.MultiplicativeExpr#getRights()
	 * @see #getMultiplicativeExpr()
	 * @generated
	 */
	EReference getMultiplicativeExpr_Rights();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.MultiplicativeRights <em>Multiplicative Rights</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Multiplicative Rights</em>'.
	 * @see org.openxma.dsl.core.model.MultiplicativeRights
	 * @generated
	 */
	EClass getMultiplicativeRights();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.MultiplicativeRights#getOp <em>Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Op</em>'.
	 * @see org.openxma.dsl.core.model.MultiplicativeRights#getOp()
	 * @see #getMultiplicativeRights()
	 * @generated
	 */
	EAttribute getMultiplicativeRights_Op();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.MultiplicativeRights#getRight <em>Right</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Right</em>'.
	 * @see org.openxma.dsl.core.model.MultiplicativeRights#getRight()
	 * @see #getMultiplicativeRights()
	 * @generated
	 */
	EReference getMultiplicativeRights_Right();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.AtomicExpr <em>Atomic Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Atomic Expr</em>'.
	 * @see org.openxma.dsl.core.model.AtomicExpr
	 * @generated
	 */
	EClass getAtomicExpr();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.Variable <em>Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Variable</em>'.
	 * @see org.openxma.dsl.core.model.Variable
	 * @generated
	 */
	EClass getVariable();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.XmadslVariable <em>Xmadsl Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Xmadsl Variable</em>'.
	 * @see org.openxma.dsl.core.model.XmadslVariable
	 * @generated
	 */
	EClass getXmadslVariable();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.core.model.XmadslVariable#getReference <em>Reference</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Reference</em>'.
	 * @see org.openxma.dsl.core.model.XmadslVariable#getReference()
	 * @see #getXmadslVariable()
	 * @generated
	 */
	EReference getXmadslVariable_Reference();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.XmadslVariable#getAccess <em>Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Access</em>'.
	 * @see org.openxma.dsl.core.model.XmadslVariable#getAccess()
	 * @see #getXmadslVariable()
	 * @generated
	 */
	EAttribute getXmadslVariable_Access();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.ReferenceableByXmadslVariable <em>Referenceable By Xmadsl Variable</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Referenceable By Xmadsl Variable</em>'.
	 * @see org.openxma.dsl.core.model.ReferenceableByXmadslVariable
	 * @generated
	 */
	EClass getReferenceableByXmadslVariable();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.StatusFlag <em>Status Flag</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Status Flag</em>'.
	 * @see org.openxma.dsl.core.model.StatusFlag
	 * @generated
	 */
	EClass getStatusFlag();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.StatusFlag#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.core.model.StatusFlag#getName()
	 * @see #getStatusFlag()
	 * @generated
	 */
	EAttribute getStatusFlag_Name();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.StatusFlag#getExpression <em>Expression</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Expression</em>'.
	 * @see org.openxma.dsl.core.model.StatusFlag#getExpression()
	 * @see #getStatusFlag()
	 * @generated
	 */
	EReference getStatusFlag_Expression();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.StatusFlag#getDoc <em>Doc</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Doc</em>'.
	 * @see org.openxma.dsl.core.model.StatusFlag#getDoc()
	 * @see #getStatusFlag()
	 * @generated
	 */
	EAttribute getStatusFlag_Doc();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.Call <em>Call</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Call</em>'.
	 * @see org.openxma.dsl.core.model.Call
	 * @generated
	 */
	EClass getCall();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.core.model.Call#getFunction <em>Function</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Function</em>'.
	 * @see org.openxma.dsl.core.model.Call#getFunction()
	 * @see #getCall()
	 * @generated
	 */
	EReference getCall_Function();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.Call#getExpr <em>Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Expr</em>'.
	 * @see org.openxma.dsl.core.model.Call#getExpr()
	 * @see #getCall()
	 * @generated
	 */
	EReference getCall_Expr();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.Function <em>Function</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Function</em>'.
	 * @see org.openxma.dsl.core.model.Function
	 * @generated
	 */
	EClass getFunction();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.core.model.Function#getResultType <em>Result Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Result Type</em>'.
	 * @see org.openxma.dsl.core.model.Function#getResultType()
	 * @see #getFunction()
	 * @generated
	 */
	EReference getFunction_ResultType();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.Function#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see org.openxma.dsl.core.model.Function#getName()
	 * @see #getFunction()
	 * @generated
	 */
	EAttribute getFunction_Name();

	/**
	 * Returns the meta object for the reference '{@link org.openxma.dsl.core.model.Function#getParameterType <em>Parameter Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Parameter Type</em>'.
	 * @see org.openxma.dsl.core.model.Function#getParameterType()
	 * @see #getFunction()
	 * @generated
	 */
	EReference getFunction_ParameterType();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.Function#getParameterName <em>Parameter Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Parameter Name</em>'.
	 * @see org.openxma.dsl.core.model.Function#getParameterName()
	 * @see #getFunction()
	 * @generated
	 */
	EAttribute getFunction_ParameterName();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.ParenExpr <em>Paren Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Paren Expr</em>'.
	 * @see org.openxma.dsl.core.model.ParenExpr
	 * @generated
	 */
	EClass getParenExpr();

	/**
	 * Returns the meta object for the containment reference '{@link org.openxma.dsl.core.model.ParenExpr#getExpr <em>Expr</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference '<em>Expr</em>'.
	 * @see org.openxma.dsl.core.model.ParenExpr#getExpr()
	 * @see #getParenExpr()
	 * @generated
	 */
	EReference getParenExpr_Expr();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.Literal <em>Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Literal</em>'.
	 * @see org.openxma.dsl.core.model.Literal
	 * @generated
	 */
	EClass getLiteral();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.IntLiteral <em>Int Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Int Literal</em>'.
	 * @see org.openxma.dsl.core.model.IntLiteral
	 * @generated
	 */
	EClass getIntLiteral();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.IntLiteral#getNumber <em>Number</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Number</em>'.
	 * @see org.openxma.dsl.core.model.IntLiteral#getNumber()
	 * @see #getIntLiteral()
	 * @generated
	 */
	EAttribute getIntLiteral_Number();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.StringLiteral <em>String Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>String Literal</em>'.
	 * @see org.openxma.dsl.core.model.StringLiteral
	 * @generated
	 */
	EClass getStringLiteral();

	/**
	 * Returns the meta object for the attribute '{@link org.openxma.dsl.core.model.StringLiteral#getString <em>String</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>String</em>'.
	 * @see org.openxma.dsl.core.model.StringLiteral#getString()
	 * @see #getStringLiteral()
	 * @generated
	 */
	EAttribute getStringLiteral_String();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.BoolLiteral <em>Bool Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Bool Literal</em>'.
	 * @see org.openxma.dsl.core.model.BoolLiteral
	 * @generated
	 */
	EClass getBoolLiteral();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.TrueLiteral <em>True Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>True Literal</em>'.
	 * @see org.openxma.dsl.core.model.TrueLiteral
	 * @generated
	 */
	EClass getTrueLiteral();

	/**
	 * Returns the meta object for class '{@link org.openxma.dsl.core.model.FalseLiteral <em>False Literal</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>False Literal</em>'.
	 * @see org.openxma.dsl.core.model.FalseLiteral
	 * @generated
	 */
	EClass getFalseLiteral();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.core.model.ParameterDefinitionType <em>Parameter Definition Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Parameter Definition Type</em>'.
	 * @see org.openxma.dsl.core.model.ParameterDefinitionType
	 * @generated
	 */
	EEnum getParameterDefinitionType();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.core.model.MultiplicativeOp <em>Multiplicative Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Multiplicative Op</em>'.
	 * @see org.openxma.dsl.core.model.MultiplicativeOp
	 * @generated
	 */
	EEnum getMultiplicativeOp();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.core.model.AdditiveOp <em>Additive Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Additive Op</em>'.
	 * @see org.openxma.dsl.core.model.AdditiveOp
	 * @generated
	 */
	EEnum getAdditiveOp();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.core.model.RelationalOp <em>Relational Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Relational Op</em>'.
	 * @see org.openxma.dsl.core.model.RelationalOp
	 * @generated
	 */
	EEnum getRelationalOp();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.core.model.EqualityOp <em>Equality Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Equality Op</em>'.
	 * @see org.openxma.dsl.core.model.EqualityOp
	 * @generated
	 */
	EEnum getEqualityOp();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.core.model.OrOp <em>Or Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Or Op</em>'.
	 * @see org.openxma.dsl.core.model.OrOp
	 * @generated
	 */
	EEnum getOrOp();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.core.model.AndOp <em>And Op</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>And Op</em>'.
	 * @see org.openxma.dsl.core.model.AndOp
	 * @generated
	 */
	EEnum getAndOp();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.core.model.VariableAccess <em>Variable Access</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Variable Access</em>'.
	 * @see org.openxma.dsl.core.model.VariableAccess
	 * @generated
	 */
	EEnum getVariableAccess();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.core.model.BooleanValue <em>Boolean Value</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Boolean Value</em>'.
	 * @see org.openxma.dsl.core.model.BooleanValue
	 * @generated
	 */
	EEnum getBooleanValue();

	/**
	 * Returns the meta object for enum '{@link org.openxma.dsl.core.model.ValueModelType <em>Value Model Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Value Model Type</em>'.
	 * @see org.openxma.dsl.core.model.ValueModelType
	 * @generated
	 */
	EEnum getValueModelType();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	CoreFactory getCoreFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.ModelImpl <em>Model</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.ModelImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getModel()
		 * @generated
		 */
		EClass MODEL = eINSTANCE.getModel();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MODEL__NAME = eINSTANCE.getModel_Name();

		/**
		 * The meta object literal for the '<em><b>Imports</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MODEL__IMPORTS = eINSTANCE.getModel_Imports();

		/**
		 * The meta object literal for the '<em><b>Elements</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MODEL__ELEMENTS = eINSTANCE.getModel_Elements();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.ModelElementImpl <em>Model Element</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.ModelElementImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getModelElement()
		 * @generated
		 */
		EClass MODEL_ELEMENT = eINSTANCE.getModelElement();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MODEL_ELEMENT__NAME = eINSTANCE.getModelElement_Name();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.ImportImpl <em>Import</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.ImportImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getImport()
		 * @generated
		 */
		EClass IMPORT = eINSTANCE.getImport();

		/**
		 * The meta object literal for the '<em><b>Import URI</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IMPORT__IMPORT_URI = eINSTANCE.getImport_ImportURI();

		/**
		 * The meta object literal for the '<em><b>Imported Namespace</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute IMPORT__IMPORTED_NAMESPACE = eINSTANCE.getImport_ImportedNamespace();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.TypeImpl <em>Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.TypeImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getType()
		 * @generated
		 */
		EClass TYPE = eINSTANCE.getType();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.SimpleTypeImpl <em>Simple Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.SimpleTypeImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getSimpleType()
		 * @generated
		 */
		EClass SIMPLE_TYPE = eINSTANCE.getSimpleType();

		/**
		 * The meta object literal for the '<em><b>Custom</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SIMPLE_TYPE__CUSTOM = eINSTANCE.getSimpleType_Custom();

		/**
		 * The meta object literal for the '<em><b>Type Parameter</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SIMPLE_TYPE__TYPE_PARAMETER = eINSTANCE.getSimpleType_TypeParameter();

		/**
		 * The meta object literal for the '<em><b>Validator Reference</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SIMPLE_TYPE__VALIDATOR_REFERENCE = eINSTANCE.getSimpleType_ValidatorReference();

		/**
		 * The meta object literal for the '<em><b>Editor</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SIMPLE_TYPE__EDITOR = eINSTANCE.getSimpleType_Editor();

		/**
		 * The meta object literal for the '<em><b>Type Definition</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SIMPLE_TYPE__TYPE_DEFINITION = eINSTANCE.getSimpleType_TypeDefinition();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.SqlTypeImpl <em>Sql Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.SqlTypeImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getSqlType()
		 * @generated
		 */
		EClass SQL_TYPE = eINSTANCE.getSqlType();

		/**
		 * The meta object literal for the '<em><b>Ddl</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SQL_TYPE__DDL = eINSTANCE.getSqlType_Ddl();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.EnumTypeImpl <em>Enum Type</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.EnumTypeImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getEnumType()
		 * @generated
		 */
		EClass ENUM_TYPE = eINSTANCE.getEnumType();

		/**
		 * The meta object literal for the '<em><b>Literals</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ENUM_TYPE__LITERALS = eINSTANCE.getEnumType_Literals();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.EnumLiteralImpl <em>Enum Literal</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.EnumLiteralImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getEnumLiteral()
		 * @generated
		 */
		EClass ENUM_LITERAL = eINSTANCE.getEnumLiteral();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ENUM_LITERAL__NAME = eINSTANCE.getEnumLiteral_Name();

		/**
		 * The meta object literal for the '<em><b>Key</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ENUM_LITERAL__KEY = eINSTANCE.getEnumLiteral_Key();

		/**
		 * The meta object literal for the '<em><b>Short Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ENUM_LITERAL__SHORT_VALUE = eINSTANCE.getEnumLiteral_ShortValue();

		/**
		 * The meta object literal for the '<em><b>Long Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ENUM_LITERAL__LONG_VALUE = eINSTANCE.getEnumLiteral_LongValue();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.ParameterDefinitionImpl <em>Parameter Definition</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.ParameterDefinitionImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getParameterDefinition()
		 * @generated
		 */
		EClass PARAMETER_DEFINITION = eINSTANCE.getParameterDefinition();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PARAMETER_DEFINITION__TYPE = eINSTANCE.getParameterDefinition_Type();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PARAMETER_DEFINITION__NAME = eINSTANCE.getParameterDefinition_Name();

		/**
		 * The meta object literal for the '<em><b>Default Integer</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PARAMETER_DEFINITION__DEFAULT_INTEGER = eINSTANCE.getParameterDefinition_DefaultInteger();

		/**
		 * The meta object literal for the '<em><b>Default String</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PARAMETER_DEFINITION__DEFAULT_STRING = eINSTANCE.getParameterDefinition_DefaultString();

		/**
		 * The meta object literal for the '<em><b>Default Boolean</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PARAMETER_DEFINITION__DEFAULT_BOOLEAN = eINSTANCE.getParameterDefinition_DefaultBoolean();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.ReferenceWithParameterImpl <em>Reference With Parameter</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.ReferenceWithParameterImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getReferenceWithParameter()
		 * @generated
		 */
		EClass REFERENCE_WITH_PARAMETER = eINSTANCE.getReferenceWithParameter();

		/**
		 * The meta object literal for the '<em><b>Parameter Values</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference REFERENCE_WITH_PARAMETER__PARAMETER_VALUES = eINSTANCE.getReferenceWithParameter_ParameterValues();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.ValidatorReferenceImpl <em>Validator Reference</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.ValidatorReferenceImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getValidatorReference()
		 * @generated
		 */
		EClass VALIDATOR_REFERENCE = eINSTANCE.getValidatorReference();

		/**
		 * The meta object literal for the '<em><b>Validator</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference VALIDATOR_REFERENCE__VALIDATOR = eINSTANCE.getValidatorReference_Validator();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.ValidatorImpl <em>Validator</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.ValidatorImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getValidator()
		 * @generated
		 */
		EClass VALIDATOR = eINSTANCE.getValidator();

		/**
		 * The meta object literal for the '<em><b>Value Model Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute VALIDATOR__VALUE_MODEL_TYPE = eINSTANCE.getValidator_ValueModelType();

		/**
		 * The meta object literal for the '<em><b>Validator Parameter</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference VALIDATOR__VALIDATOR_PARAMETER = eINSTANCE.getValidator_ValidatorParameter();

		/**
		 * The meta object literal for the '<em><b>Super Validator</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference VALIDATOR__SUPER_VALIDATOR = eINSTANCE.getValidator_SuperValidator();

		/**
		 * The meta object literal for the '<em><b>Instance Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute VALIDATOR__INSTANCE_CLASS = eINSTANCE.getValidator_InstanceClass();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.IncrementerImpl <em>Incrementer</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.IncrementerImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getIncrementer()
		 * @generated
		 */
		EClass INCREMENTER = eINSTANCE.getIncrementer();

		/**
		 * The meta object literal for the '<em><b>Incrementer Parameter</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INCREMENTER__INCREMENTER_PARAMETER = eINSTANCE.getIncrementer_IncrementerParameter();

		/**
		 * The meta object literal for the '<em><b>Instance Class</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INCREMENTER__INSTANCE_CLASS = eINSTANCE.getIncrementer_InstanceClass();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.IncrementerReferenceImpl <em>Incrementer Reference</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.IncrementerReferenceImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getIncrementerReference()
		 * @generated
		 */
		EClass INCREMENTER_REFERENCE = eINSTANCE.getIncrementerReference();

		/**
		 * The meta object literal for the '<em><b>Incrementer</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INCREMENTER_REFERENCE__INCREMENTER = eINSTANCE.getIncrementerReference_Incrementer();

		/**
		 * The meta object literal for the '<em><b>Incrementer Parameter</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference INCREMENTER_REFERENCE__INCREMENTER_PARAMETER = eINSTANCE.getIncrementerReference_IncrementerParameter();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.EditorImpl <em>Editor</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.EditorImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getEditor()
		 * @generated
		 */
		EClass EDITOR = eINSTANCE.getEditor();

		/**
		 * The meta object literal for the '<em><b>Label</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute EDITOR__LABEL = eINSTANCE.getEditor_Label();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.StyleImpl <em>Style</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.StyleImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getStyle()
		 * @generated
		 */
		EClass STYLE = eINSTANCE.getStyle();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.TypeDefinitionImpl <em>Type Definition</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.TypeDefinitionImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getTypeDefinition()
		 * @generated
		 */
		EClass TYPE_DEFINITION = eINSTANCE.getTypeDefinition();

		/**
		 * The meta object literal for the '<em><b>Instance Type</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute TYPE_DEFINITION__INSTANCE_TYPE = eINSTANCE.getTypeDefinition_InstanceType();

		/**
		 * The meta object literal for the '<em><b>Definition</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference TYPE_DEFINITION__DEFINITION = eINSTANCE.getTypeDefinition_Definition();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.DataTypeAndTypeParameterImpl <em>Data Type And Type Parameter</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.DataTypeAndTypeParameterImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getDataTypeAndTypeParameter()
		 * @generated
		 */
		EClass DATA_TYPE_AND_TYPE_PARAMETER = eINSTANCE.getDataTypeAndTypeParameter();

		/**
		 * The meta object literal for the '<em><b>Data Type</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference DATA_TYPE_AND_TYPE_PARAMETER__DATA_TYPE = eINSTANCE.getDataTypeAndTypeParameter_DataType();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.ParameterValueImpl <em>Parameter Value</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.ParameterValueImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getParameterValue()
		 * @generated
		 */
		EClass PARAMETER_VALUE = eINSTANCE.getParameterValue();

		/**
		 * The meta object literal for the '<em><b>Is Null</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PARAMETER_VALUE__IS_NULL = eINSTANCE.getParameterValue_IsNull();

		/**
		 * The meta object literal for the '<em><b>Keep Parent Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PARAMETER_VALUE__KEEP_PARENT_VALUE = eINSTANCE.getParameterValue_KeepParentValue();

		/**
		 * The meta object literal for the '<em><b>Referenced Parameter</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PARAMETER_VALUE__REFERENCED_PARAMETER = eINSTANCE.getParameterValue_ReferencedParameter();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.IntegerParameterValueImpl <em>Integer Parameter Value</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.IntegerParameterValueImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getIntegerParameterValue()
		 * @generated
		 */
		EClass INTEGER_PARAMETER_VALUE = eINSTANCE.getIntegerParameterValue();

		/**
		 * The meta object literal for the '<em><b>Int Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INTEGER_PARAMETER_VALUE__INT_VALUE = eINSTANCE.getIntegerParameterValue_IntValue();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.StringParameterValueImpl <em>String Parameter Value</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.StringParameterValueImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getStringParameterValue()
		 * @generated
		 */
		EClass STRING_PARAMETER_VALUE = eINSTANCE.getStringParameterValue();

		/**
		 * The meta object literal for the '<em><b>String Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRING_PARAMETER_VALUE__STRING_VALUE = eINSTANCE.getStringParameterValue_StringValue();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.BooleanParameterValueImpl <em>Boolean Parameter Value</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.BooleanParameterValueImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getBooleanParameterValue()
		 * @generated
		 */
		EClass BOOLEAN_PARAMETER_VALUE = eINSTANCE.getBooleanParameterValue();

		/**
		 * The meta object literal for the '<em><b>Boolean Value</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute BOOLEAN_PARAMETER_VALUE__BOOLEAN_VALUE = eINSTANCE.getBooleanParameterValue_BooleanValue();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.EqualityExprImpl <em>Equality Expr</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.EqualityExprImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getEqualityExpr()
		 * @generated
		 */
		EClass EQUALITY_EXPR = eINSTANCE.getEqualityExpr();

		/**
		 * The meta object literal for the '<em><b>Left</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EQUALITY_EXPR__LEFT = eINSTANCE.getEqualityExpr_Left();

		/**
		 * The meta object literal for the '<em><b>Op</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute EQUALITY_EXPR__OP = eINSTANCE.getEqualityExpr_Op();

		/**
		 * The meta object literal for the '<em><b>Right</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference EQUALITY_EXPR__RIGHT = eINSTANCE.getEqualityExpr_Right();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.CondORExprImpl <em>Cond OR Expr</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.CondORExprImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getCondORExpr()
		 * @generated
		 */
		EClass COND_OR_EXPR = eINSTANCE.getCondORExpr();

		/**
		 * The meta object literal for the '<em><b>Left</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COND_OR_EXPR__LEFT = eINSTANCE.getCondORExpr_Left();

		/**
		 * The meta object literal for the '<em><b>Rights</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COND_OR_EXPR__RIGHTS = eINSTANCE.getCondORExpr_Rights();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.CondORRightsImpl <em>Cond OR Rights</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.CondORRightsImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getCondORRights()
		 * @generated
		 */
		EClass COND_OR_RIGHTS = eINSTANCE.getCondORRights();

		/**
		 * The meta object literal for the '<em><b>Op</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COND_OR_RIGHTS__OP = eINSTANCE.getCondORRights_Op();

		/**
		 * The meta object literal for the '<em><b>Right</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COND_OR_RIGHTS__RIGHT = eINSTANCE.getCondORRights_Right();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.CondANDExprImpl <em>Cond AND Expr</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.CondANDExprImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getCondANDExpr()
		 * @generated
		 */
		EClass COND_AND_EXPR = eINSTANCE.getCondANDExpr();

		/**
		 * The meta object literal for the '<em><b>Left</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COND_AND_EXPR__LEFT = eINSTANCE.getCondANDExpr_Left();

		/**
		 * The meta object literal for the '<em><b>Rights</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COND_AND_EXPR__RIGHTS = eINSTANCE.getCondANDExpr_Rights();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.CondANDRightsImpl <em>Cond AND Rights</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.CondANDRightsImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getCondANDRights()
		 * @generated
		 */
		EClass COND_AND_RIGHTS = eINSTANCE.getCondANDRights();

		/**
		 * The meta object literal for the '<em><b>Op</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute COND_AND_RIGHTS__OP = eINSTANCE.getCondANDRights_Op();

		/**
		 * The meta object literal for the '<em><b>Right</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COND_AND_RIGHTS__RIGHT = eINSTANCE.getCondANDRights_Right();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.AtomicBoolExprImpl <em>Atomic Bool Expr</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.AtomicBoolExprImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getAtomicBoolExpr()
		 * @generated
		 */
		EClass ATOMIC_BOOL_EXPR = eINSTANCE.getAtomicBoolExpr();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.RelationalExprImpl <em>Relational Expr</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.RelationalExprImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getRelationalExpr()
		 * @generated
		 */
		EClass RELATIONAL_EXPR = eINSTANCE.getRelationalExpr();

		/**
		 * The meta object literal for the '<em><b>Left</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference RELATIONAL_EXPR__LEFT = eINSTANCE.getRelationalExpr_Left();

		/**
		 * The meta object literal for the '<em><b>Op</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute RELATIONAL_EXPR__OP = eINSTANCE.getRelationalExpr_Op();

		/**
		 * The meta object literal for the '<em><b>Right</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference RELATIONAL_EXPR__RIGHT = eINSTANCE.getRelationalExpr_Right();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.AdditiveExprImpl <em>Additive Expr</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.AdditiveExprImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getAdditiveExpr()
		 * @generated
		 */
		EClass ADDITIVE_EXPR = eINSTANCE.getAdditiveExpr();

		/**
		 * The meta object literal for the '<em><b>Left</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ADDITIVE_EXPR__LEFT = eINSTANCE.getAdditiveExpr_Left();

		/**
		 * The meta object literal for the '<em><b>Rights</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ADDITIVE_EXPR__RIGHTS = eINSTANCE.getAdditiveExpr_Rights();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.AdditiveRightsImpl <em>Additive Rights</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.AdditiveRightsImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getAdditiveRights()
		 * @generated
		 */
		EClass ADDITIVE_RIGHTS = eINSTANCE.getAdditiveRights();

		/**
		 * The meta object literal for the '<em><b>Op</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ADDITIVE_RIGHTS__OP = eINSTANCE.getAdditiveRights_Op();

		/**
		 * The meta object literal for the '<em><b>Right</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ADDITIVE_RIGHTS__RIGHT = eINSTANCE.getAdditiveRights_Right();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.MultiplicativeExprImpl <em>Multiplicative Expr</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.MultiplicativeExprImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getMultiplicativeExpr()
		 * @generated
		 */
		EClass MULTIPLICATIVE_EXPR = eINSTANCE.getMultiplicativeExpr();

		/**
		 * The meta object literal for the '<em><b>Left</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MULTIPLICATIVE_EXPR__LEFT = eINSTANCE.getMultiplicativeExpr_Left();

		/**
		 * The meta object literal for the '<em><b>Rights</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MULTIPLICATIVE_EXPR__RIGHTS = eINSTANCE.getMultiplicativeExpr_Rights();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.MultiplicativeRightsImpl <em>Multiplicative Rights</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.MultiplicativeRightsImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getMultiplicativeRights()
		 * @generated
		 */
		EClass MULTIPLICATIVE_RIGHTS = eINSTANCE.getMultiplicativeRights();

		/**
		 * The meta object literal for the '<em><b>Op</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute MULTIPLICATIVE_RIGHTS__OP = eINSTANCE.getMultiplicativeRights_Op();

		/**
		 * The meta object literal for the '<em><b>Right</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference MULTIPLICATIVE_RIGHTS__RIGHT = eINSTANCE.getMultiplicativeRights_Right();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.AtomicExprImpl <em>Atomic Expr</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.AtomicExprImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getAtomicExpr()
		 * @generated
		 */
		EClass ATOMIC_EXPR = eINSTANCE.getAtomicExpr();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.VariableImpl <em>Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.VariableImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getVariable()
		 * @generated
		 */
		EClass VARIABLE = eINSTANCE.getVariable();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.XmadslVariableImpl <em>Xmadsl Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.XmadslVariableImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getXmadslVariable()
		 * @generated
		 */
		EClass XMADSL_VARIABLE = eINSTANCE.getXmadslVariable();

		/**
		 * The meta object literal for the '<em><b>Reference</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference XMADSL_VARIABLE__REFERENCE = eINSTANCE.getXmadslVariable_Reference();

		/**
		 * The meta object literal for the '<em><b>Access</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute XMADSL_VARIABLE__ACCESS = eINSTANCE.getXmadslVariable_Access();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.ReferenceableByXmadslVariableImpl <em>Referenceable By Xmadsl Variable</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.ReferenceableByXmadslVariableImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getReferenceableByXmadslVariable()
		 * @generated
		 */
		EClass REFERENCEABLE_BY_XMADSL_VARIABLE = eINSTANCE.getReferenceableByXmadslVariable();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.StatusFlagImpl <em>Status Flag</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.StatusFlagImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getStatusFlag()
		 * @generated
		 */
		EClass STATUS_FLAG = eINSTANCE.getStatusFlag();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STATUS_FLAG__NAME = eINSTANCE.getStatusFlag_Name();

		/**
		 * The meta object literal for the '<em><b>Expression</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference STATUS_FLAG__EXPRESSION = eINSTANCE.getStatusFlag_Expression();

		/**
		 * The meta object literal for the '<em><b>Doc</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STATUS_FLAG__DOC = eINSTANCE.getStatusFlag_Doc();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.CallImpl <em>Call</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.CallImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getCall()
		 * @generated
		 */
		EClass CALL = eINSTANCE.getCall();

		/**
		 * The meta object literal for the '<em><b>Function</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CALL__FUNCTION = eINSTANCE.getCall_Function();

		/**
		 * The meta object literal for the '<em><b>Expr</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference CALL__EXPR = eINSTANCE.getCall_Expr();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.FunctionImpl <em>Function</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.FunctionImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getFunction()
		 * @generated
		 */
		EClass FUNCTION = eINSTANCE.getFunction();

		/**
		 * The meta object literal for the '<em><b>Result Type</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference FUNCTION__RESULT_TYPE = eINSTANCE.getFunction_ResultType();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FUNCTION__NAME = eINSTANCE.getFunction_Name();

		/**
		 * The meta object literal for the '<em><b>Parameter Type</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference FUNCTION__PARAMETER_TYPE = eINSTANCE.getFunction_ParameterType();

		/**
		 * The meta object literal for the '<em><b>Parameter Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute FUNCTION__PARAMETER_NAME = eINSTANCE.getFunction_ParameterName();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.ParenExprImpl <em>Paren Expr</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.ParenExprImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getParenExpr()
		 * @generated
		 */
		EClass PAREN_EXPR = eINSTANCE.getParenExpr();

		/**
		 * The meta object literal for the '<em><b>Expr</b></em>' containment reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PAREN_EXPR__EXPR = eINSTANCE.getParenExpr_Expr();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.LiteralImpl <em>Literal</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.LiteralImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getLiteral()
		 * @generated
		 */
		EClass LITERAL = eINSTANCE.getLiteral();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.IntLiteralImpl <em>Int Literal</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.IntLiteralImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getIntLiteral()
		 * @generated
		 */
		EClass INT_LITERAL = eINSTANCE.getIntLiteral();

		/**
		 * The meta object literal for the '<em><b>Number</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute INT_LITERAL__NUMBER = eINSTANCE.getIntLiteral_Number();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.StringLiteralImpl <em>String Literal</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.StringLiteralImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getStringLiteral()
		 * @generated
		 */
		EClass STRING_LITERAL = eINSTANCE.getStringLiteral();

		/**
		 * The meta object literal for the '<em><b>String</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute STRING_LITERAL__STRING = eINSTANCE.getStringLiteral_String();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.BoolLiteralImpl <em>Bool Literal</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.BoolLiteralImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getBoolLiteral()
		 * @generated
		 */
		EClass BOOL_LITERAL = eINSTANCE.getBoolLiteral();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.TrueLiteralImpl <em>True Literal</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.TrueLiteralImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getTrueLiteral()
		 * @generated
		 */
		EClass TRUE_LITERAL = eINSTANCE.getTrueLiteral();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.impl.FalseLiteralImpl <em>False Literal</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.impl.FalseLiteralImpl
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getFalseLiteral()
		 * @generated
		 */
		EClass FALSE_LITERAL = eINSTANCE.getFalseLiteral();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.ParameterDefinitionType <em>Parameter Definition Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.ParameterDefinitionType
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getParameterDefinitionType()
		 * @generated
		 */
		EEnum PARAMETER_DEFINITION_TYPE = eINSTANCE.getParameterDefinitionType();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.MultiplicativeOp <em>Multiplicative Op</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.MultiplicativeOp
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getMultiplicativeOp()
		 * @generated
		 */
		EEnum MULTIPLICATIVE_OP = eINSTANCE.getMultiplicativeOp();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.AdditiveOp <em>Additive Op</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.AdditiveOp
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getAdditiveOp()
		 * @generated
		 */
		EEnum ADDITIVE_OP = eINSTANCE.getAdditiveOp();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.RelationalOp <em>Relational Op</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.RelationalOp
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getRelationalOp()
		 * @generated
		 */
		EEnum RELATIONAL_OP = eINSTANCE.getRelationalOp();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.EqualityOp <em>Equality Op</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.EqualityOp
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getEqualityOp()
		 * @generated
		 */
		EEnum EQUALITY_OP = eINSTANCE.getEqualityOp();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.OrOp <em>Or Op</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.OrOp
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getOrOp()
		 * @generated
		 */
		EEnum OR_OP = eINSTANCE.getOrOp();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.AndOp <em>And Op</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.AndOp
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getAndOp()
		 * @generated
		 */
		EEnum AND_OP = eINSTANCE.getAndOp();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.VariableAccess <em>Variable Access</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.VariableAccess
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getVariableAccess()
		 * @generated
		 */
		EEnum VARIABLE_ACCESS = eINSTANCE.getVariableAccess();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.BooleanValue <em>Boolean Value</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.BooleanValue
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getBooleanValue()
		 * @generated
		 */
		EEnum BOOLEAN_VALUE = eINSTANCE.getBooleanValue();

		/**
		 * The meta object literal for the '{@link org.openxma.dsl.core.model.ValueModelType <em>Value Model Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see org.openxma.dsl.core.model.ValueModelType
		 * @see org.openxma.dsl.core.model.impl.CorePackageImpl#getValueModelType()
		 * @generated
		 */
		EEnum VALUE_MODEL_TYPE = eINSTANCE.getValueModelType();

	}

} //CorePackage
