package org.openxma.dsl.core.scoping;

import java.util.Set;

import org.eclipse.emf.ecore.EObject;
import org.eclipse.xtext.naming.QualifiedName;
import org.eclipse.xtext.scoping.impl.ImportedNamespaceAwareLocalScopeProvider;
import org.openxma.dsl.core.model.Model;

public class OpenXmaNamespaceLocalScopeProvider extends ImportedNamespaceAwareLocalScopeProvider {

	protected ImportNormalizer createImportNormalizer(final String name) {
		return new ImportNormalizer(new QualifiedName(name.lastIndexOf("^")==-1 ? name : name.replaceAll("\\^", "")));
	}
	
	protected Set<ImportNormalizer> getImportNormalizer(final EObject context) {
		Set<ImportNormalizer> importNormalizer = super.getImportNormalizer(context);
		if (context instanceof Model) {
			Model model = (Model) context;
			importNormalizer.add(new ImportNormalizer(new QualifiedName("org.openxma.lang.*")));
			importNormalizer.add(new ImportNormalizer(new QualifiedName("org.openxma.styles.*")));
			if (model.getName()!=null) {
				importNormalizer.add(new ImportNormalizer(new QualifiedName(model.getName()+".*")));
			} 
		}
		return importNormalizer;
	}
}
